> This page is for Itential Platform Cloud.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# Get trigger

GET https://example.itential.io/operations-manager/triggers/{id}

Returns a Trigger.

Reference: https://docs-test.itntl.com/itential-cloud/api-reference/operations-manager/get-trigger

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `id` (string, required) — The id of the Trigger to get.

## Response

### 200

The requested Trigger.

- `message` (string, required) — A human-readable message summarizing the result of the operation
- `data` (operations-manager_trigger-api, required) — Any successfully retrieved information related to the request.
- `metadata` (map from string to any, required) — Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation.

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### operations-manager_trigger-api

### Endpoint Trigger

An Endpoint Trigger in API response format.

- `name` (string, required) — The name of the document
- `description` (string, required) — The description of the document
- `enabled` (boolean, required) — A flag to determine if this Trigger is enabled or not.
- `actionType` (enum, required) — The type of component this Trigger will invoke.
  - Allowed values: `automations`
- `actionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
- `lastExecuted` (integer, required, nullable) — A timestamp in milliseconds of the time this Trigger was last executed.
- `createdBy` (string, required, nullable)
- `created` (string, required) — An ISO 8601 date string
- `lastUpdatedBy` (string, required, nullable)
- `lastUpdated` (string, required) — An ISO 8601 date string
- `type` (any, required)
- `verb` (any, required)
- `routeName` (string, required) — User defined route name.
- `schema` (OperationsManagerTriggerApiOneOf0Schema, required, nullable) — POST body filter schema.
- `_id` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
- `jst` (string, required, nullable)
- `options` (OperationsManagerTriggerApiOneOf0Options, optional) — Configuration options specific to this trigger.
- `migrationVersion` (integer, optional) — The current document version of this document.

### EventSystem Trigger

An EventSystem Trigger in API response format.

- `name` (string, required) — The name of the document
- `description` (string, required) — The description of the document
- `enabled` (boolean, required) — A flag to determine if this Trigger is enabled or not.
- `actionType` (enum, required) — The type of component this Trigger will invoke.
  - Allowed values: `automations`
- `actionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
- `lastExecuted` (integer, required, nullable) — A timestamp in milliseconds of the time this Trigger was last executed.
- `type` (any, required)
- `source` (string, required) — The source of the event.
- `topic` (string, required) — The event topic.
- `schema` (OperationsManagerTriggerApiOneOf1Schema, required, nullable) — Event payload filter schema.
- `legacyWrapper` (boolean, required) — A boolean determining whether payload data is wrapped in a 'payload' property
- `createdBy` (string, required, nullable)
- `created` (string, required) — An ISO 8601 date string
- `lastUpdatedBy` (string, required, nullable)
- `lastUpdated` (string, required) — An ISO 8601 date string
- `_id` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
- `jst` (string, required, nullable)
- `options` (OperationsManagerTriggerApiOneOf1Options, optional) — Configuration options specific to this trigger.
- `migrationVersion` (integer, optional) — The current document version of this document.

### Manual Trigger

A Manual Trigger in API response format.

- `name` (string, required) — The name of the document
- `description` (string, required) — The description of the document
- `enabled` (boolean, required) — A flag to determine if this Trigger is enabled or not.
- `actionType` (enum, required) — The type of component this Trigger will invoke.
  - Allowed values: `automations`
- `actionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
- `lastExecuted` (integer, required, nullable) — A timestamp in milliseconds of the time this Trigger was last executed.
- `createdBy` (string, required, nullable)
- `created` (string, required) — An ISO 8601 date string
- `lastUpdatedBy` (string, required, nullable)
- `lastUpdated` (string, required) — An ISO 8601 date string
- `type` (any, required)
- `formData` (OperationsManagerTriggerApiOneOf2FormData, required, nullable) — A JSON object created by filling out the associated JSON Form.
- `legacyWrapper` (boolean, required) — A boolean determining whether form data is wrapped in a 'formData' property
- `_id` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
- `formId` (string, required, nullable) — The id of a JSON Form used to provide inputs to a job from this trigger.
- `options` (OperationsManagerTriggerApiOneOf2Options, optional) — Configuration options specific to this trigger.
- `migrationVersion` (integer, optional) — The current document version of this document.
- `formSchemaHash` (string, optional, nullable)

### Schedule Trigger

A Schedule Trigger in API response format.

- `name` (string, required) — The name of the document
- `description` (string, required) — The description of the document
- `enabled` (boolean, required) — A flag to determine if this Trigger is enabled or not.
- `actionType` (enum, required) — The type of component this Trigger will invoke.
  - Allowed values: `automations`
- `actionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
- `lastExecuted` (integer, required, nullable) — A timestamp in milliseconds of the time this Trigger was last executed.
- `createdBy` (string, required, nullable)
- `created` (string, required) — An ISO 8601 date string
- `lastUpdatedBy` (string, required, nullable)
- `lastUpdated` (string, required) — An ISO 8601 date string
- `type` (any, required)
- `formData` (OperationsManagerTriggerApiOneOf3FormData, required, nullable) — A JSON object created by filling out the associated JSON Form.
- `legacyWrapper` (boolean, required) — A boolean determining whether form data is wrapped in a 'formData' property
- `firstRunAt` (integer, required) — A timestamp in milliseconds for the first scheduled run of this Trigger.
- `nextRunAt` (integer, required, nullable) — A timestamp in milliseconds for the next scheduled run of this Trigger.
- `processMissedRuns` (enum, required) — Describes how any missed job runs should be processed. A missed run is a job that was supposed to be ran at least 'n' seconds ago, but did not due to some issue with IAP (busy process, IAP was down, etc). 'none' means do not run any missed jobs. 'last' means only run the last missed job.
  - Allowed values: `none`, `last`
- `locked` (boolean, required) — backend use only
- `repeatInterval` (integer, required, nullable) — The interval between repeated jobs in milliseconds. This is calculated from repeatUnit and repeatFrequency.
- `_id` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
- `formId` (string, required, nullable) — The id of a JSON Form used to provide inputs to a job from this trigger.
- `options` (OperationsManagerTriggerApiOneOf3Options, optional) — Configuration options specific to this trigger.
- `migrationVersion` (integer, optional) — The current document version of this document.
- `formSchemaHash` (string, optional, nullable)
- `lastIntervalStart` (integer, optional, nullable) — A millisecond resolution timestamp denoting when the current run interval started. This is calculated using repeatEnd.
- `waitFlag` (boolean, optional) — Deprecated, backend use only
- `repeat` (OperationsManagerTriggerApiOneOf3Repeat, optional, nullable) — A repetition pattern expressed as a tree of parent and child interval definitions.
- `repeatUnit` (any, optional)
- `repeatFrequency` (any, optional)

### OperationsManagerTriggerApiOneOf0Schema

POST body filter schema.

### OperationsManagerTriggerApiOneOf0Options

Configuration options specific to this trigger.

- `targetType` (enum, optional, nullable)
  - Allowed values: `instance`, `group`
- `targetIdentifier` (string, optional, nullable)
- `chooseTargetAtRuntime` (boolean, optional)
- `actionId` (string, optional) — A 4-digit hexadecimal id

### OperationsManagerTriggerApiOneOf1Schema

Event payload filter schema.

### OperationsManagerTriggerApiOneOf1Options

Configuration options specific to this trigger.

- `targetType` (enum, optional, nullable)
  - Allowed values: `instance`, `group`
- `targetIdentifier` (string, optional, nullable)
- `chooseTargetAtRuntime` (boolean, optional)
- `actionId` (string, optional) — A 4-digit hexadecimal id

### OperationsManagerTriggerApiOneOf2FormData

A JSON object created by filling out the associated JSON Form.

### OperationsManagerTriggerApiOneOf2Options

Configuration options specific to this trigger.

- `targetType` (enum, optional, nullable)
  - Allowed values: `instance`, `group`
- `targetIdentifier` (string, optional, nullable)
- `chooseTargetAtRuntime` (boolean, optional)
- `actionId` (string, optional) — A 4-digit hexadecimal id

### OperationsManagerTriggerApiOneOf3FormData

A JSON object created by filling out the associated JSON Form.

### OperationsManagerTriggerApiOneOf3Options

Configuration options specific to this trigger.

- `targetType` (enum, optional, nullable)
  - Allowed values: `instance`, `group`
- `targetIdentifier` (string, optional, nullable)
- `chooseTargetAtRuntime` (boolean, optional)
- `actionId` (string, optional) — A 4-digit hexadecimal id

### OperationsManagerTriggerApiOneOf3Repeat

A repetition pattern expressed as a tree of parent and child interval definitions.

### OperationsManagerTriggerApiOneOf3Repeat0

- `type` (enum, optional)
  - Allowed values: `repeating`, `terminating`
- `duration` (OperationsManagerTriggerApiOneOf3RepeatOneOf0Duration, optional)
- `action` (enum, optional)
  - Allowed values: `execute`, `wait`
- `components` (list of any, optional)

### OperationsManagerTriggerApiOneOf3Repeat1

- `components` (list of any, required)
- `type` (any, optional)
- `start` (string, optional) — An ISO 8601 date string
- `end` (string, optional) — An ISO 8601 date string

### OperationsManagerTriggerApiOneOf3Repeat2

- `type` (any, optional)
- `duration` (OperationsManagerTriggerApiOneOf3RepeatOneOf2Duration, optional)
- `count` (integer, optional)
- `action` (enum, optional)
  - Allowed values: `execute`, `wait`
- `components` (list of any, optional)

### OperationsManagerTriggerApiOneOf3RepeatOneOf0Duration

### OperationsManagerTriggerApiOneOf3RepeatOneOf2Duration

### OperationsManagerTriggerApiOneOf3RepeatOneOf0Duration0

- `unit` (any, optional)
- `quantity` (double, optional)

### OperationsManagerTriggerApiOneOf3RepeatOneOf0Duration1

- `unit` (enum, optional)
  - Allowed values: `minute`, `hour`, `day`, `week`
- `quantity` (integer, optional)

### OperationsManagerTriggerApiOneOf3RepeatOneOf2Duration0

- `unit` (any, optional)
- `quantity` (double, optional)

### OperationsManagerTriggerApiOneOf3RepeatOneOf2Duration1

- `unit` (enum, optional)
  - Allowed values: `minute`, `hour`, `day`, `week`
- `quantity` (integer, optional)

## Examples

**Response**

```json
{
  "message": "Successfully created the requested item",
  "data": {
    "_id": "string",
    "actionId": "string",
    "actionType": "automations",
    "created": "2024-01-15T09:30:00Z",
    "createdBy": "admin@pronghorn",
    "description": "Turn up the port",
    "enabled": true,
    "jst": "string",
    "lastExecuted": 1,
    "lastUpdated": "2024-01-15T09:30:00Z",
    "lastUpdatedBy": "admin@pronghorn",
    "migrationVersion": 1,
    "name": "Cisco IOS upgrade",
    "options": {
      "actionId": "0a2f",
      "chooseTargetAtRuntime": true,
      "targetIdentifier": "string",
      "targetType": "instance"
    },
    "routeName": "runSoftwareUpgrade",
    "schema": {},
    "type": null,
    "verb": null
  },
  "metadata": {}
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/operations-manager/triggers/id"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/operations-manager/triggers/id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/operations-manager/triggers/id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/operations-manager/triggers/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/operations-manager/triggers/id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/operations-manager/triggers/id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/operations-manager/triggers/id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/operations-manager/triggers/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```